Memory Stores
Update a memory item
Updates the specified memory item in the memory store.
Parameter header
Foundry-Features
enum
diperlukan
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parameter jalur
name
string
diperlukan
The name of the memory store.
memory_id
string
diperlukan
The ID of the memory item to update.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Isi Permintaan
content
string
diperlukan
The updated content of the memory.
Respons
The request has succeeded.
Isi
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
diperlukan
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
diperlukan
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
diperlukan
The kind of the memory item.
Minta
POST /memory_stores/{name}/items/{memory_id} HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json